package com.winhc.data.push.bean;

import com.winhc.data.push.utils.JsonUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @Author: XuJiakai
 * @Date: 2020/6/24 09:01
 * @Description:
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class DataWorksFlowTask {
    private String taskName;
    private List<NodeParam> params;

    public Map<String, String> toNodeParam(Map<String, String> otherParams) {
        return params.stream()
                .collect(Collectors.toMap(NodeParam::getNodeId, n -> n.toNodeParam(otherParams), (o1, o2) -> o1));
    }

    public Map<String, String> toNodeParam(String bizDate) {
        HashMap<String, String> map = new HashMap<>();
        map.put("bizdate", bizDate.replace("-", ""));
        return toNodeParam(map);
    }

    public Map<String, String> toNodeParam(String bizDate, Map<String, String> otherParams) {
        otherParams.put("bizdate", bizDate.replace("-", ""));
        return toNodeParam(otherParams);
    }

    @Override
    public String toString() {
        return JsonUtils.jsonObjToString(this);
    }
}
