package com.winhc.data.push.configuration;

import com.aliyun.odps.Odps;
import com.aliyun.odps.account.Account;
import com.aliyun.odps.account.AliyunAccount;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author: XuJiakai
 * 2021/7/1 15:49
 */
@Configuration
public class OdpsConfiguration {
    @Value("${odps.access-key-id}")
    private String accessKeyId;

    @Value("${odps.access-key-secret}")
    private String accessKeySecret;

    @Value("${odps.default-project}")
    private String defaultProject;

    @Value("${odps.end-point}")
    private String endPoint;

    @Bean
    public Odps odps() {
        Account account = new AliyunAccount(accessKeyId, accessKeySecret);
        Odps odps = new Odps(account);
        odps.setEndpoint(endPoint);
        odps.setDefaultProject(defaultProject);
        return odps;
    }
}
