package com.winhc.data.push.configuration;

import com.winhc.data.push.bean.DataWorksFlowJob;
import com.winhc.data.push.bean.DataWorksFlowTask;
import com.winhc.data.push.utils.DataWorksParamUtils;
import lombok.Getter;
import org.jetbrains.annotations.NotNull;
import org.springframework.beans.BeansException;
import org.springframework.beans.factory.config.BeanFactoryPostProcessor;
import org.springframework.beans.factory.config.ConfigurableListableBeanFactory;
import org.springframework.context.annotation.Configuration;

import java.util.List;

/**
 * @author: XuJiakai
 * 2021/4/14 14:42
 */
@Getter
@Configuration
public class ProjectParamInit implements BeanFactoryPostProcessor {

    public static final String project = "winhc_ng";

    public static final String exportMongoFlowName = "push_data_as_to_mongo";
    public static final String exportMongoBeanName = "winhc_ng:push_data_as_to_mongo:mongo_auction_tracking_push_ads";
    public static final String exportOssFlowName = "push_data_as_to_oss";
    public static final String exportOssBeanName = "winhc_ng:push_data_as_to_oss:oss_auction_tracking_push_ads";

    /**
     * @param beanFactory
     * @throws BeansException
     */
    @Override
    public void postProcessBeanFactory(@NotNull ConfigurableListableBeanFactory beanFactory) throws BeansException {
        DataWorksParamUtils bean = new DataWorksParamUtils();
        List<DataWorksFlowJob> jobs = bean.getJobs();
        for (DataWorksFlowJob job : jobs) {
            String project = job.getProject();
            String flow = job.getFlow();
            List<DataWorksFlowTask> task = job.getTask();
            for (DataWorksFlowTask dataWorksFlowTask : task) {
                String beanName = project + ":" + flow + ":" + dataWorksFlowTask.getTaskName();
                beanFactory.registerSingleton(beanName, dataWorksFlowTask);
            }
        }
    }
}
